Get Contract Jobs History
GET
/api/v1/contracts/{project_id}/jobs
Retrieve the last credit_update_type job status and credit consumption for each job id linked to a contract.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string format: uuid
Query Parameters
Section titled “Query Parameters ” order_by
Order By
string
order_by_direction
string
backend_type
required
Filter results by backend type
string
Filter results by backend type
limit
Limit
integer
offset
Offset
integer
Responses
Section titled “ Responses ”Successful Response
HeaderPaginatedResponse[ProducedJobLastStateResponse]
A list of responses with pagination information.
For backwards compatibility, this also exposes pagination using the following header format:
Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLEobject
status
string
message
Message
string
code
Code
string
data
required
Data
Array<object>
ProducedJobLastStateResponseobject
id
required
Id
string format: uuid
contract_id
required
Contract Id
string format: uuid
created_at
required
Created At
string format: date-time
status
required
CreditUpdateType
An enumeration.
string
consumption
required
Consumption
number
pagination
required
JSendPagination
Pagination information
object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
